[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellTreeView.DoAddItem

Performs actions needed to add a new tree node to the shell control.

## Declaration

Source position: shellctrls.pas line 111

`protected procedure TCustomShellTreeView.DoAddItem(`
`const ABasePath: string;`
`const AFileInfo: TSearchRec;`
`var CanAdd: Boolean`
`);`

## Arguments

`ABasePath` |  | Base path for the new tree node.
`AFileInfo` |  | TSearchRec with information about the file system object.
`CanAdd` |  | Indicates if the tree node can be added for the specified path.

## Description

DoAddItem is a procedure used to perform actions needed when a new tree node is added to the shell control. DoAddItem signals the OnAddItem event handler (when assigned) to examine and process the arguments passed to the method.

ABasePath contains the path on the local file system where the file system object exists.

AFileInfo is a TSearchRec instance with the details for the file system object.

CanAdd is a variable Boolean parameter used to indicate if the new tree node can be added to the shell control.

No actions are performed in the method when OnAddItem has not been assigned (contains Nil). Applications must implement and assign an object procedure to the event handler which responds to the event notification.

## See also

TCustomShellTreeView.OnAddItem |  | Event handler signalled when an item (tree node) is added to the shell control.